Nuxa
Api referenceInboxApiInboxWorkspaceidRouting rules

PUT /api/inbox/{workspaceId}/routing-rules

PUT
/api/inbox/{workspaceId}/routing-rules

Authorization

sessionAuth
better-auth.session_token<token>

Better Auth session cookie

In: cookie

Path Parameters

workspaceId*string

The workspaceId parameter

Request Body

application/json

field*string
Value in"channel" | "customer_tier" | "message_content" | "urgency_level" | "intent" | "sentiment" | "time_of_day" | "day_of_week" | "customer_language" | "has_attachments" | "is_returning_customer"
operator*string
Value in"equals" | "not_equals" | "contains" | "not_contains" | "starts_with" | "ends_with" | "greater_than" | "less_than" | "in" | "not_in" | "between" | "is_true" | "is_false"
value*object

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.nuxa.ai/api/inbox/string/routing-rules" \  -H "Content-Type: application/json" \  -d '{    "field": "channel",    "operator": "equals",    "value": {}  }'
{}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}
{
  "error": "string",
  "code": "string"
}